extension MapExt<K, V> on Map<K, V> {
  String signStr() {
    var sb = StringBuffer();
    this.forEach((key, value) {
      sb..write(key)..write('=')..write(value)..write('&');
    });
    return sb.toString().substring(0, sb.length - 1);
  }

  Map<K, V> where(bool test(K k, V v)) {
    final map = <K, V>{};
    keys.forEach((key) {
      if (test(key, this[key])) map[key] = this[key];
    });
    return map;
  }
}
