import 'package:package_info/package_info.dart';
import 'package:yuro_core/yuro_core.dart';

extension PackageInfoExt on YuroInterface {
  static PackageInfo _packageInfo;

  void loadPackageInfo() async => _packageInfo = await PackageInfo.fromPlatform();

  String get appName => _packageInfo?.appName;

  String get appPackageName => _packageInfo?.packageName;

  String get appVersion => _packageInfo?.version;

  String get appBuildNumber => _packageInfo?.buildNumber;
}
